# Created by pyp2rpm-1.0.1
%global pypi_name xlwt
%global with_python3 0
%define version 0.7.5

Name:           python-xlwt
Version:        %{version}
Release:        %mkrel 3
Group:          Development/Python
Summary:        Library to create spreadsheet files compatible with MS Excel 97/2000/XP/2003 XLS files, on any platform, with Python 2.3 to 2.7

License:        BSD
Source0:        https://pypi.python.org/packages/source/x/xlwt/xlwt-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
 
%if %{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3


%description
xlwt is a library for generating spreadsheet files that are compatible
with Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. xlwt
has full support for Unicode. Excel spreadsheets can be generated on
any platform without needing Excel or a COM server. The only
requirement is Python 2.3 to 2.7.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Library to create spreadsheet files compatible with MS Excel 97/2000/XP/2003 XLS files, on any platform, with Python 2.3 to 2.7


%description -n python3-%{pypi_name}
xlwt is a library for generating spreadsheet files that are compatible
with Excel 97/2000/XP/2003, OpenOffice.org Calc, and Gnumeric. xlwt
has full support for Unicode. Excel spreadsheets can be generated on
any platform without needing Excel or a COM server. The only
requirement is Python 2.3 to 2.7.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.html
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.html
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Wed Jan 08 2014 joequant <joequant> 0.7.5-3.mga4
+ Revision: 565567
- push to core/release

* Sat Jan 04 2014 joequant <joequant> 0.7.5-2.mga4
+ Revision: 564622
- fixed word wrap

* Fri Dec 06 2013 joequant <joequant> 0.7.5-1.mga4
+ Revision: 555720
- imported package python-xlwt

